Passes
A pass is created when a customer buys a service with booking_type=pass. Passes can only be read with the API.
Attributes
| Name | Type | Description |
|---|---|---|
| id | Integer | Automatically set |
| created_at | Datetime | Automatically set |
| updated_at | Datetime | Automatically set |
| person_id | Integer | Owner of the pass |
| service_id | Integer | The service that was purchased |
| quota | Integer | Number of uses. Null if unlimited |
| unlimited | Boolean | Unlimited number of uses |
| valid_until | Datetime | Expiry time. Null if the pass does not expire |
| redeemable | Boolean | False if the pass has expired |
| remaining_units | Integer | Remaining number of uses. Null if unlimited |
Listing
GET /passes will return all passes.
Response
[
{
"pass": {
"id": 1,
"person_id": 888,
"service_id": 5,
"quota": 10,
"unlimited": false,
"valid_until": "2027-03-26T10:00:00+02:00",
"created_at": "2026-10-09T10:00:00+02:00",
"updated_at": "2026-10-09T10:00:00+02:00",
"redeemable": true,
"remaining_units": 8
}
}
]
Query Parameters
| Name | Type | Description |
|---|---|---|
| person_id | Integer | Filter by person |
Get pass
GET /passes/{pass_id} will get a pass with id {pass_id}.